# Get an Instagram profile

### Get an Instagram profile

`GET /api/v1/instagram/profiles/{identity}`

Operation ID: `getInstagramProfile`

**Path parameters**

- `identity` (string, required): Username, provider id, or profile URL

**Query parameters**

- `connectedAccountId` (string · uuid, required): Connected account to act as

**200**: Instagram profile.

- `profile` (object, required)
  - `username` (string | null, required)
  - `profileUrl` (string | null, required)
  - `firstName` (string | null, required)
  - `lastName` (string | null, required)
  - `fullName` (string | null, required)
  - `biography` (string | null, required)
  - `location` (string | null, required)
  - `imageUrl` (string | null, required)
  - `imageUrlLarge` (string | null, required)
  - `backgroundImageUrl` (string | null, required)
  - `followerCount` (number | null, required)
  - `followRequestPending` (boolean, required): A follow request awaiting an answer; only private accounts can be in this state.
  - `isFollowing` (boolean, required): This account already follows them.
- `remainingToday` (integer, required)

**Errors**

- `400`: Bad request
- `401`: Unauthorized: missing or invalid API key
- `403`: Forbidden
- `404`: Not found
- `422`: Invalid request payload
